<?php
/**
* @file
* @brief    They Said So quotes plugin  for Joomla
* @author   They Said So
* @version  1.2.3
* @remarks  Copyright (C) 2015-2016 theysaidso.com
* @remarks  Licensed under GNU/GPLv2 or later
* @see      https://theysaidso.com/extensions/joomla/license.txt
*/

// no direct access
defined('_JEXEC') or die;

class plgContentTheySaidSo extends JPlugin
{
  public function __construct(& $subject, $config)
  {
    parent::__construct($subject, $config);
    $this->loadLanguage();
  }
  public function onContentPrepare($context, &$row, &$params, $page = 0)
  {
     $config = JFactory::getConfig();
     $caching = $config->get('config.caching');

     $document = JFactory::getDocument();

     if ( !$caching )
     {
	     $document->addScript("https://theysaidso.com/gadgets/v3/theysaidso.js");
     } else 
     {
	     $script = "<script src=\"https://theysaidso.com/gadgets/v3/theysaidso.js\" type=\"text/javascript\"></script>";

	     $document->addCustomTag( $script );
     }

    $options = "";
    if ( $this->params->get('publisher_id') )
      $options .= "publisher_id: '" . $this->params->get('publisher_id') . "',";


    $pattern = '/\s*{theysaidso}(.*(display_style\s*:\s*\'(\w*)\').*){\/theysaidso}/i';
    $replace = '<div class="tso_style ${3}"><script>TheySaidSo.render({' . $options . '${1}});</script></div>';
    $count = 0;
    $row->text = preg_replace($pattern,$replace,$row->text,-1,$count);
    if ( $count == 0 )
    {
       $pattern = '/\s*{theysaidso}(.*){\/theysaidso}/i';
       $replace = '<div class="tso_default_style"><script>TheySaidSo.render({' . $options . '${1}});</script></div>';
       $row->text = preg_replace($pattern,$replace,$row->text,-1,$count);
    }
    return true;
  }
}

?>
